<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">

<head th:replace="partials/head :: head"></head>

<body>

<div th:replace="partials/header :: section"></div>

<section class="hero is-light">
    <div class="hero-body">
        <div class="container">
            <div class="columns is-vcentered has-text-centered">
                <div class="column">
                    <h1 class="title is-3">Deine Ziele</h1>
                    <p th:if="${goals.isEmpty()}">
                        Du hast noch keine Ziele!
                    </p>

                    <table class="table">
                        <thead>
                        <tr>
                            <th>Typ</th>
                            <th>Beschreibung</th>
                            <th>IST/SOLL</th>
                            <th>Erledigt</th>
                            <th>Aktionen</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="goal, iterationStatus : ${goals}">
                            <td th:text="${goal.type}"></td>
                            <td th:text="${goal.description}"></td>
                            <td>
                                <span th:text="${goal.doneTimes}"></span> /
                                <span th:text="${goal.calculateNumberOfPossibleCompletions()}"></span>
                            </td>
                            <td th:text="${goal.needsToBeDoneToday()} ? NEIN : JA"></td>
                            <td>
                                <form th:action="@{/done}" method="post" th:if="${goal.needsToBeDoneToday()}">
                                    <input type="hidden" name="goal_id" class="button is-primary"
                                           th:value="${goal.id}"></input>
                                    <input type="submit" class="button is-primary" value="Erledigt"></input>
                                </form>
                                <form th:action="@{/delete}" method="post">
                                    <input type="hidden" name="goal_id" class="button is-primary"
                                           th:value="${goal.id}"></input>
                                    <input type="submit" class="button is-danger" value="Löschen"></input>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>

                    <p class="has-text-centered">
                        <a class="button" href="/create"> Einzelnes Ziel Erstellen </a>
                    </p>
                    <br></br>
                    <p class="has-text-centered">
                        <a class="button" href="/assist"> Ziel Assistent </a>
                    </p>
                </div>
            </div>
        </div>
    </div>
</section>

</body>
</html>